Open CASCADE Technology: StdLSchema_PDF_HAttributeArray1 Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
StdLSchema_PDF_HAttributeArray1 Class Reference

`#include <StdLSchema_PDF_HAttributeArray1.hxx>`

Inheritance diagram for StdLSchema_PDF_HAttributeArray1:
[legend]

## Public Member Functions
| StdLSchema_PDF_HAttributeArray1 ()
Handle_Standard_Persistent | New () const
void | Add (const Handle< Standard_Persistent > &, const Handle< Storage_Schema > &) const
void | Write (const Handle< Standard_Persistent > &, Storage_BaseDriver &, const Handle< Storage_Schema > &) const
void | Read (const Handle< Standard_Persistent > &, Storage_BaseDriver &, const Handle< Storage_Schema > &) const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Static Public Member Functions
static void | SAdd (const Handle< PDF_HAttributeArray1 > &, const Handle< Storage_Schema > &)
static void | SWrite (const Handle< Standard_Persistent > &, Storage_BaseDriver &, const Handle< Storage_Schema > &)
static void | SRead (const Handle< Standard_Persistent > &, Storage_BaseDriver &, const Handle< Storage_Schema > &)

## Constructor & Destructor Documentation

StdLSchema_PDF_HAttributeArray1::StdLSchema_PDF_HAttributeArray1 | ( |  | ) |
| inline

## Member Function Documentation

void StdLSchema_PDF_HAttributeArray1::Add | ( | const Handle< Standard_Persistent > & | ,
|  | const Handle< Storage_Schema > & |
| ) |  | const
| virtual

Implements Storage_CallBack.

Handle_Standard_Persistent StdLSchema_PDF_HAttributeArray1::New | ( |  | ) | const
| virtual

Implements Storage_CallBack.

void StdLSchema_PDF_HAttributeArray1::Read | ( | const Handle< Standard_Persistent > & | ,
|  | Storage_BaseDriver & | ,
|  | const Handle< Storage_Schema > & |
| ) |  | const
| virtual

Implements Storage_CallBack.

static void StdLSchema_PDF_HAttributeArray1::SAdd | ( | const Handle< PDF_HAttributeArray1 > & | ,
|  | const Handle< Storage_Schema > & |
| ) |  |
| static

static void StdLSchema_PDF_HAttributeArray1::SRead | ( | const Handle< Standard_Persistent > & | ,
|  | Storage_BaseDriver & | ,
|  | const Handle< Storage_Schema > & |
| ) |  |
| static

static void StdLSchema_PDF_HAttributeArray1::SWrite | ( | const Handle< Standard_Persistent > & | ,
|  | Storage_BaseDriver & | ,
|  | const Handle< Storage_Schema > & |
| ) |  |
| static

void StdLSchema_PDF_HAttributeArray1::Write | ( | const Handle< Standard_Persistent > & | ,
|  | Storage_BaseDriver & | ,
|  | const Handle< Storage_Schema > & |
| ) |  | const
| virtual

Implements Storage_CallBack.

The documentation for this class was generated from the following file:

- StdLSchema_PDF_HAttributeArray1.hxx